Subject: tensor components

From: [email-masked] (Ayaz Bakasov, Phys. Chem., ETH Zuerich (Zentrum))
Date: Mon, 22 Apr 1996 17:39:59 +0200

Dear Marc,

you might look for the answers to your question 
(specifically for molecules)
"..how to obtain quadrupole or octupole moment 
    values from their tensor components ?"
in two (to get started) books:
1. Chapter 8 and for octupole -- Exercise 8-1, 
   in R.K.Wangness "Electromagnetic fields",
   John Wiley & Sons, Inc, 1979;
2. M. Rigby et al., 
   "The forces between molecules",
   Oxford, Clarendon Press, 1986.

More generally speaking, the way you posed
the question is a bit off the actual status of
things in electrostatics. 

I mean the following. 
Majority of multipole components (tensor components) 
of an ARBITRARY charge distribution
are INDEPENDENT physical quantities and 
IN GENERAL there are very few conditions 
which allow to determine one component
through some other components. Let's take an example
of quadrupole moment. It's a 3 by 3 tensor of rank 2,
which has 9 components. Since it's symmetric, only
6 components are left, and since it's traceless,
only 5 independent components survive. So, in case
WHEN ALL 5 COMPONENTS ARE INDEPENDENT ONE CANNOT SPEAK
OF JUST SINGLE QUADRUPOLE MOMENT VALUE.
There are 5 of them - the whole lot!
However, if the system is axially symmetric,
then indeed, only one component (normally Q_ZZ)
is independent, and people speak of a unique
quadrupole moment value. In case of octupole
moment the situation is worse, and it will take some
effort from you to get simple expressions even
for particular symmetries. I certainly cannot cover
it in email (I might get it wrong). 

Thus, I wanted you to notice that only
in case of particular symmetries 
there is "single" (i.e. independent)
N-pole moment, like in above example when
for an axially symmetric system one gets:
1) single "quadrupole" moment Q = Q_ZZ,
2) which determines Q_XX=Q_YY=-1/2*Q=-1/2*Q_ZZ;
3) all off-diagonal components must be zeros.

If you don't know the symmetry but are left with
"some quadrupole moment matrix" which is:
-- real;
-- symmetric;
-- traceless;
then just diagonalize it and put Q=Q_ZZ,
and name it quadrupole moment,
and here you are BUT ONLY if Q_XX=Q_YY=-1/2*Q_ZZ !!!
If the above doesn't hold, then you have more
independent components then just one.
[Some authors take apart factor 1/2,
 so take care of definitions]

I hope I put it all correctly.
The best wishes,
Ayaz Bakasov.